Server Trust Groups - Get

Bir sunucu güven grubu alır.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/locations/{locationName}/serverTrustGroups/{serverTrustGroupName}?api-version=2025-01-01

URI Parametreleri

Name İçinde Gerekli Tür Description
locationName
path True

string

Kaynağın bulunduğu bölgenin adı.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır.

serverTrustGroupName
path True

string

Sunucu güven grubunun adı.

subscriptionId
path True

string (uuid)

Hedef aboneliğin kimliği. Değer bir UUID olmalıdır.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

Yanıtlar

Name Tür Description
200 OK

ServerTrustGroup

Azure işlemi başarıyla tamamlandı.

Other Status Codes

ErrorResponse

Beklenmeyen bir hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Flow.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

Get server trust group

Örnek isteği

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/locations/Japan East/serverTrustGroups/server-trust-group-test?api-version=2025-01-01

Örnek yanıt

{
  "name": "server-trust-group-test",
  "type": "Microsoft.Sql/locations/serverTrustGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/locations/Japan East/serverTrustGroups/server-trust-group-test",
  "properties": {
    "groupMembers": [
      {
        "serverId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/managedInstance-1"
      },
      {
        "serverId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/managedInstance-2"
      }
    ],
    "trustScopes": [
      "GlobalTransactions",
      "ServiceBroker"
    ]
  }
}

Tanımlar

Name Description
createdByType

Kaynağı oluşturan kimliğin türü.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

ServerInfo

Sunucu güven grubu için sunucu bilgileri.

ServerTrustGroup

Sunucu güven grubu.

ServerTrustGroupPropertiesTrustScopesItem
systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

createdByType

Kaynağı oluşturan kimliğin türü.

Değer Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.

ServerInfo

Sunucu güven grubu için sunucu bilgileri.

Name Tür Description
serverId

string

Sunucu Kimliği.

ServerTrustGroup

Sunucu güven grubu.

Name Tür Description
id

string (arm-id)

Kaynağın tam kaynak kimliği. Örneğin "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Kaynağın adı

properties.groupMembers

ServerInfo[]

Sunucu güven grubu için grup üyeleri bilgileri.

properties.trustScopes

ServerTrustGroupPropertiesTrustScopesItem[]

Sunucu güven grubunun güven kapsamı.

systemData

systemData

Azure Resource Manager metadata içeren createdBy ve modifiedBy bilgileri.

type

string

Kaynağın türü. Örneğin "Microsoft. Compute/virtualMachines" veya "Microsoft. Depo/Depolama Hesapları"

ServerTrustGroupPropertiesTrustScopesItem

Değer Description
GlobalTransactions

GlobalTransactions

ServiceBroker

ServiceBroker

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Name Tür Description
createdAt

string (date-time)

Kaynak oluşturma (UTC) zaman damgası.

createdBy

string

Kaynağı oluşturan kimlik.

createdByType

createdByType

Kaynağı oluşturan kimliğin türü.

lastModifiedAt

string (date-time)

Kaynağın son değişikliğinin zaman damgası (UTC)

lastModifiedBy

string

Kaynağı en son değiştiren kimlik.

lastModifiedByType

createdByType

Kaynağı en son değiştiren kimlik türü.